# frozen_string_literal: true

require_relative 'lib/pglet/version'

@summary = 'pglet bindings for ruby'
@description = @summary
@homepage = 'https://github.com/wishdev/pglet-ruby'

Gem::Specification.new do |spec|
  spec.name          = 'pglet'
  spec.version       = Pglet::VERSION
  spec.authors       = ['John W Higgins']
  spec.email         = ['wishdev@gmail.com']

  spec.summary       = @summary
  spec.description   = @description
  spec.homepage      = @homepage
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 3.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org/'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] =
    "#{spec.homepage}/src/branch/master/CHANGELOG.md"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      %r{\A(?:test|spec|features|bin)/}.match?(f) ||
        /\A(?:Gemfile|.envrc)/.match?(f)
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
end
